<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net5.0-windows10.0.18362.0</TargetFramework>
    <UseWPF>true</UseWPF>
    <UseWindowsForms>true</UseWindowsForms>
    <ApplicationIcon>nsis3-install.ico</ApplicationIcon>
    <Version>1.3.14</Version>
    <Nullable>enable</Nullable>
    <LangVersion>latest</LangVersion>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="nsis3-install.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Emoji.Wpf" Version="0.3.0" />
    <PackageReference Include="ModernWpfUI" Version="0.9.3" />
    <PackageReference Include="Prism.Core" Version="8.0.0.1909" />
    <PackageReference Include="Prism.DryIoc" Version="8.0.0.1909" />
    <PackageReference Include="Prism.Wpf" Version="8.0.0.1909" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\src\Katteker\Katteker.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="nsis3-install.ico" />
  </ItemGroup>

  <ItemGroup>
    <ApplicationDefinition Update="App.xaml">
      <SubType>Designer</SubType>
    </ApplicationDefinition>
  </ItemGroup>

  <ItemGroup>
    <None Update="changelog.md">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Page Update="MainWindow.xaml">
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>

</Project>